drop temporary  table if exists _lnnavesky_tisk;
create  temporary table _lnnavesky_tisk select * from nnavesky_tisk where tisk = "%tisk%";
alter table _lnnavesky_tisk add pluscas int(2) default 0;
update _lnnavesky_tisk set pluscas = 1 where ccislo >= "%prvni%" and ccislo <= "%posledni%";
update _lnnavesky_tisk set pluscas = 2 where ccislo > "%posledni%";
update _lnnavesky_tisk set tisk = DATE_ADD(tisk,INTERVAL pluscas SECOND);
select max(pluscas) into @pluscas from _lnnavesky_tisk;
select max(ccislo) into @maxcislo from _lnnavesky_tisk;
select date(tisk) into @zedne from _lnnavesky_tisk where ccislo = "%prvni%";
set @pluscas:=@pluscas + 1;
drop  temporary table if exists _lnnavesky_tisk_count;
create  temporary  table _lnnavesky_tisk_count select tisk, count(*) as pocet from _lnnavesky_tisk group by tisk;
update _lnnavesky_tisk as t, _lnnavesky_tisk_count as c set t.pocet = c.pocet where t.tisk = c.tisk;
alter table _lnnavesky_tisk drop pluscas;
update _lnnavesky_tisk set typ = "odpis", druh1 = "%duvod%", odruda = "likvidace návěsky", generace1 = "" where 
  ccislo >= "%prvni%" and ccislo <= "%posledni%";
delete from nnavesky_tisk where tisk = "%tisk%";
insert into nnavesky_tisk select * from _lnnavesky_tisk;
update nnavesky_tisk set tisk = DATE_ADD(tisk,INTERVAL @pluscas SECOND) where ccislo > @maxcislo and date(tisk) = @zedne;
  

